<?php
/**
 * @category   Location
 * @package    Location_DeliveryArea
 * @author     shashank.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Location\DeliveryArea\Block;

use Magento\Framework\View\Element\Template\Context;
use Location\DeliveryArea\Model\DeliveryAreaFactory;
use Magento\Cms\Model\Template\FilterProvider;
/**
 * DeliveryArea View block
 */
class DeliveryAreaView extends \Magento\Framework\View\Element\Template
{
    /**
     * @var DeliveryArea
     */
    protected $_deliveryarea;
    public function __construct(
        Context $context,
        DeliveryAreaFactory $deliveryarea,
        FilterProvider $filterProvider
    ) {
        $this->_deliveryarea = $deliveryarea;
        $this->_filterProvider = $filterProvider;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Location DeliveryArea Module View Page'));
        
        return parent::_prepareLayout();
    }

    public function getSingleData()
    {
        $id = $this->getRequest()->getParam('id');
        $deliveryarea = $this->_deliveryarea->create();
        $singleData = $deliveryarea->load($id);
        if($singleData->getDeliveryAreaId() || $singleData['deliveryarea_id'] && $singleData->getStatus() == 1){
            return $singleData;
        }else{
            return false;
        }
    }
}